summaryrefslogtreecommitdiffstats
path: root/desktop/simplenote
diff options
context:
space:
mode:
author Skaendo <skaendo at excite dot com>2018-06-23 02:20:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-06-23 02:20:02 +0700
commit6f761c3dca761f14f4ded966f7d3e747a6ec4c55 (patch)
tree7d623956fa2ede767ba15104d02313cab1f3c0cd /desktop/simplenote
parentaeeea1513b1db4a3127845b165c2a2b99381e7be (diff)
downloadslackbuilds-6f761c3dca761f14f4ded966f7d3e747a6ec4c55.tar.gz
slackbuilds-6f761c3dca761f14f4ded966f7d3e747a6ec4c55.tar.xz
desktop/simplenote: Added (Note taking program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/simplenote')
-rw-r--r--desktop/simplenote/README1
-rw-r--r--desktop/simplenote/doinst.sh9
-rw-r--r--desktop/simplenote/simplenote.SlackBuild96
-rw-r--r--desktop/simplenote/simplenote.desktop9
-rw-r--r--desktop/simplenote/simplenote.info10
-rw-r--r--desktop/simplenote/simplenote.pngbin0 -> 36089 bytes
-rw-r--r--desktop/simplenote/slack-desc19
7 files changed, 144 insertions, 0 deletions
diff --git a/desktop/simplenote/README b/desktop/simplenote/README
new file mode 100644
index 0000000000..4b292784c0
--- /dev/null
+++ b/desktop/simplenote/README
@@ -0,0 +1 @@
+Simple note taking program.
diff --git a/desktop/simplenote/doinst.sh b/desktop/simplenote/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/desktop/simplenote/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/simplenote/simplenote.SlackBuild b/desktop/simplenote/simplenote.SlackBuild
new file mode 100644
index 0000000000..4b5d2fe34d
--- /dev/null
+++ b/desktop/simplenote/simplenote.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for simplenote
+
+# Copyright 2018 Skaendo <skaendo at excite dot com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=simplenote
+VERSION=${VERSION:-1.1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Set to abort if not building on x86_64
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH=x86_64 # This does nothing.
+else
+ echo "$ARCH is not supported. Aborting."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install into /opt
+mkdir -p $PKG/opt/$PRGNAM
+cp -vr * $PKG/opt/$PRGNAM
+cp -v $CWD/$PRGNAM.png $PKG/opt/$PRGNAM
+
+# Link the Binary
+mkdir -p $PKG/usr/bin
+ln -s /opt/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Link the icon
+mkdir -p $PKG/usr/share/icons/hicolor/256x256/apps
+ln -s /opt/$PRGNAM/$PRGNAM.png \
+ $PKG/usr/share/icons/hicolor/256x256/apps/$PRGNAM.png
+
+# Install the .desktop file
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.electron.txt LICENSES.chromium.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/simplenote/simplenote.desktop b/desktop/simplenote/simplenote.desktop
new file mode 100644
index 0000000000..992f010516
--- /dev/null
+++ b/desktop/simplenote/simplenote.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Simplenote
+Comment=Simplenote for Linux
+Exec="/opt/simplenote/simplenote" %U
+Terminal=false
+Type=Application
+Icon=simplenote
+StartupNotify=true
+Categories=Utility;TextEditor;
diff --git a/desktop/simplenote/simplenote.info b/desktop/simplenote/simplenote.info
new file mode 100644
index 0000000000..96180ce55a
--- /dev/null
+++ b/desktop/simplenote/simplenote.info
@@ -0,0 +1,10 @@
+PRGNAM="simplenote"
+VERSION="1.1.5"
+HOMEPAGE="https://simplenote.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/Automattic/simplenote-electron/releases/download/v1.1.5/simplenote-1.1.5.tar.gz"
+MD5SUM_x86_64="fe7104bec15ac18e857a56f86f47217b"
+REQUIRES=""
+MAINTAINER="Skaendo"
+EMAIL="skaendo at excite dot com"
diff --git a/desktop/simplenote/simplenote.png b/desktop/simplenote/simplenote.png
new file mode 100644
index 0000000000..15ab612f95
--- /dev/null
+++ b/desktop/simplenote/simplenote.png
Binary files differ
diff --git a/desktop/simplenote/slack-desc b/desktop/simplenote/slack-desc
new file mode 100644
index 0000000000..af6f872684
--- /dev/null
+++ b/desktop/simplenote/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+simplenote: simplenote (Note taking program)
+simplenote:
+simplenote: Simple note taking program.
+simplenote:
+simplenote:
+simplenote:
+simplenote:
+simplenote:
+simplenote:
+simplenote: Homepage: https://simplenote.com/
+simplenote: